Subject: Re: What's cooking in git.git (Mar 2013, #07; Tue, 26)

From: Thomas Rast <[email-masked]>
Date: Thu, 28 Mar 2013 09:00:17 +0100

Junio C Hamano <[email-masked]> writes:

>> * tr/line-log (2013-03-23) 6 commits
>>  - Speed up log -L... -M
>>  - log -L: :pattern:file syntax to find by funcname
>>  - Implement line-history search (git log -L)
>>  - Export rewrite_parents() for 'log -L'
>>  - fixup
>>  - Refactor parse_loc
>>
>>  Rerolled; collides with nd/magic-pathspecs.
>
> Honestly I am not sure what to make of this one.  I'd say we should
> merge this down as-is to 'master', expecting that in some future we
> would fix "log --follow" to keep the refspecs per history traversal
> path, so that this can be more naturally reimplemented.  Objections?

I was really hoping for something like that to happen :-) but I need to
look into at least one segfault bug in the option parser, noticed by
Antoine Pelisse.  Expect a (final?) reroll soon.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch